# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name ForSyDe

Name:           ghc-%{pkg_name}
Version:        3.1.1
Release:        18%{?dist}
Summary:        ForSyDe's Haskell-embedded Domain Specific Language

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Patch1:         ForSyDe-3.1.2-snapshot.patch

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-old-time-devel
BuildRequires:  ghc-parameterized-data-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-regex-posix-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-type-level-devel
ExclusiveArch:  %{ghc_arches_with_ghci}
# End cabal-rpm deps
# bug 992356
ExcludeArch:    armv7hl

%description
The ForSyDe (Formal System Design) methodology has been developed with
the objective to move system design to a higher level of abstraction
and to bridge the abstraction gap by transformational design refinement.
This library provides ForSyDe's implementation as a Haskell-embedded
Domain Specific Language (DSL). For more information, please see
ForSyDe's website: <http://www.ict.kth.se/forsyde/>.  This will be
most probably the last update on this package. It will be splitted to
ForSyDe-shallow and ForSyDe-deep in the next release.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
%patch1 -p1 -b .orig


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/lib
%{_datadir}/%{pkg_name}-%{version}/lib/forsyde.vhd

%files devel -f %{name}-devel.files


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 14 2013 Shakthi Kannan <shakthimaan@fedoraproject.org> - 3.1.1-16
- Fix bz #992356 FTBFS in rawhide

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 3.1.1-14
- update to snapshot of latest darcs (20121003) for ghc-7.6
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 3.1.1-12
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 3.1.1-10
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 3.1.1-9
- rebuild

* Wed Apr 11 2012 Jens Petersen <petersen@redhat.com> - 3.1.1-8
- fix build for ghc-7.4 adding Eq and Show to Num contexts

* Sat Mar 24 2012 Jens Petersen <petersen@redhat.com> - 3.1.1-7
- add license to ghc_files

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 3.1.1-6
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 3.1.1-5.3
- rebuild with new gmp without compat lib

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 3.1.1-5.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 3.1.1-5.1
- rebuild with new gmp

* Thu Jun 23 2011 Jens Petersen <petersen@redhat.com> - 3.1.1-5
- BR ghc-Cabal-devel and use ghc_arches (cabal2spec-0.23.2)

* Mon Mar 14 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-4
- Enable build on sparcv9.

* Sat Mar 05 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-3
- Added forsyde.vhd to base-package.

* Sun Feb 27 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-2
- Added ghc-mtl dependency to BuildRequires.

* Mon Feb 21 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 3.1.1-1
- Added BSD3 license.
- Added extra data files for devel.files.
- Initial packaging for Fedora automatically generated by cabal2spec-0.22.4.
